org.eclipse.swt.events

## Interface SelectionListener

All Known Implementing Classes:
  SelectionAdapter

    public interface SelectionListener

Classes which implement this interface provide methods that deal with the events that are generated when selection occurs in a control.

After creating an instance of a class that implements this interface it can be added to a control using the `addSelectionListener` method and removed using the `removeSelectionListener` method. When selection occurs in a control the appropriate method will be invoked.

See Also:
  `SelectionAdapter`, `SelectionEvent`

### Method Summary

Methods
`void` `widgetDefaultSelected(SelectionEvent e)` Sent when default selection occurs in the control.
`void` `widgetSelected(SelectionEvent e)` Sent when selection occurs in the control.

### Method Detail

#### widgetSelected

    void widgetSelected(SelectionEvent e)

Sent when selection occurs in the control.

For example, selection occurs in a List when the user selects an item or items with the keyboard or mouse. On some platforms, the event occurs when a mouse button or key is pressed. On others, it happens when the mouse or key is released. The exact key or mouse gesture that causes this event is platform specific.

Parameters:
  `e` - an event containing information about the selection

#### widgetDefaultSelected

    void widgetDefaultSelected(SelectionEvent e)

Sent when default selection occurs in the control.

For example, on some platforms default selection occurs in a List when the user double-clicks an item or types return in a Text. On some platforms, the event occurs when a mouse button or key is pressed. On others, it happens when the mouse or key is released. The exact key or mouse gesture that causes this event is platform specific.

Parameters:
  `e` - an event containing information about the default selection

Copyright (c) EclipseSource and others 2002, 2017. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0